### Method

# Meta WindowActor get_image

#### Declaration [src]

    cairo_surface_t*
    meta_window_actor_get_image (
      MetaWindowActor* self,
      MtkRectangle* clip
    )

#### Description [src]

Flattens the layers of `self` into one ARGB32 image by alpha blending the images, and returns the flattened image.

#### Parameters

`clip`

  Type: `MtkRectangle`

  A clipping rectangle, to help prevent extra processing. In the case that the clipping rectangle is partially or fully outside the bounds of the actor, the rectangle will be clipped.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `cairo_surface_t`

A new cairo surface to be freed with cairo_surface_destroy().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.